summaryrefslogtreecommitdiffstats
path: root/.ci
diff options
context:
space:
mode:
authorredsky17 <joedonofry@gmail.com>2019-02-04 02:46:41 +0000
committerredsky17 <joedonofry@gmail.com>2019-02-04 02:46:41 +0000
commit62b90e6e5db25b8a8b7d2292ce239db3106eaec3 (patch)
treef29e2f5a324630bd700c2291975663e5bd579232 /.ci
parentda968bbaa89b6b1f6cc9469e3342073c7dea6b65 (diff)
Additional mac icu4c changes
Diffstat (limited to '.ci')
-rwxr-xr-x.ci/install.sh11
1 files changed, 7 insertions, 4 deletions
diff --git a/.ci/install.sh b/.ci/install.sh
index 1a7079f6..f87685f9 100755
--- a/.ci/install.sh
+++ b/.ci/install.sh
@@ -4,10 +4,13 @@ set -ex
if [ "$TRAVIS_OS_NAME" == "osx" ]; then
brew update
- brew install icu4c qt5 lmdb clang-format ninja libsodium cmark
- brew upgrade boost cmake || true
- # Attempt to fix icu4c issues.
- brew unlink icu4c && brew link icu4c --force
+ brew install qt5 lmdb clang-format ninja libsodium cmark
+ brew upgrade boost cmake icu4c || true
+ # make sure that ICU executables are added to the PATH
+ # and that the shared objects files can be found by the linker
+ export PATH="$(brew --prefix icu4c)/bin:$PATH"
+ export DYLD_FALLBACK_LIBRARY_PATH="$(brew --prefix icu4c)/lib:$DYLD_FALLBACK_LIBRARY_PATH"
+ export PKG_CONFIG_PATH="$(brew --prefix icu4c)/lib/pkgconfig:$PKG_CONFIG_PATH"
curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py
sudo python get-pip.py